[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# RPos

Find last occurrence of substring or character in a string

## Declaration

Source position: strutils.pp line 184

`function RPos(`
`c: Char;`
`const S: AnsiString`
`):SizeInt; overload; function RPos(`
`c: UnicodeChar;`
`const S: UnicodeString`
`):SizeInt; overload; function RPos(`
`const Substr: AnsiString;`
`const Source: AnsiString`
`):SizeInt; overload; function RPos(`
`const Substr: UnicodeString;`
`const Source: UnicodeString`
`):SizeInt; overload;`

## Description

RPos looks in S for the character C or the string SubStr. It starts looking at the end of the string, and searches towards the beginning of the string. If a match is found, it returns the position of the match.

## See also

RPosEx |  | Find last occurrence substring or character in a string, starting at a certain position